qtgraphicaleffects-opensource-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2024 23:48:56 +0300

qtgraphicaleffects-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 17:09:01 +0300

qtgraphicaleffects-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 10:23:36 +0300

qtgraphicaleffects-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 21:45:42 +0300

qtgraphicaleffects-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Apr 2023 23:28:49 +0300

qtgraphicaleffects-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:49 +0400

qtgraphicaleffects-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 12:08:28 +0400

qtgraphicaleffects-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:15 +0300

qtgraphicaleffects-opensource-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:35:30 +0300

qtgraphicaleffects-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:47 +0300

qtgraphicaleffects-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 21:41:20 +0300

qtgraphicaleffects-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jul 2022 19:05:04 +0300

qtgraphicaleffects-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:28 +0300

qtgraphicaleffects-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:09:10 +0300

qtgraphicaleffects-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 17:17:51 +0300

qtgraphicaleffects-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:53 +0300

qtgraphicaleffects-opensource-src (5.15.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qtgraphicaleffects5-doc, qtgraphicaleffects5-doc-html: Add Multi-Arch:
      foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Nov 2020 21:47:42 +0300

qtgraphicaleffects-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:26 +0300

qtgraphicaleffects-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install file.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Sep 2020 20:50:09 +0300

qtgraphicaleffects-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:56:09 +0300

qtgraphicaleffects-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Apr 2020 11:38:06 +0300

qtgraphicaleffects-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Update to debhelper compat level 12.
    - Switch to using debhelper-compat as a build dependency.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2020 13:01:52 +0300

qtgraphicaleffects-opensource-src (5.12.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 22:50:12 +0300

qtgraphicaleffects-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Sep 2019 11:58:44 +0300

qtgraphicaleffects-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.
  * Add support for nodoc build profile.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Jun 2019 17:21:29 +0300

qtgraphicaleffects-opensource-src (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.
  * Drop test_import_module.diff, no longer needed.
  * Fix path of the symlink in /usr/share/doc.
  * Add a doc-base file for the qtgraphicaleffects5-doc-html package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Apr 2019 15:18:49 +0300

qtgraphicaleffects-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2019 15:47:53 +0300

qtgraphicaleffects-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:47:34 -0300

qtgraphicaleffects-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 15 Dec 2018 09:18:48 -0300

qtgraphicaleffects-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Oct 2018 21:23:45 +0300

qtgraphicaleffects-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh test_import_module.diff.
  * Bump Qt build-dependencies to 5.11.2.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Sep 2018 19:10:21 +0300

qtgraphicaleffects-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:31 -0500

qtgraphicaleffects-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump build dependencies to 5.11.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Jun 2018 13:37:53 -0500

qtgraphicaleffects-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:56:38 -0300

qtgraphicaleffects-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new tarball names.
  * Use dh_auto_configure provided by debhelper (Closes: #881472).
  * Drop compiler flags exports, not needed with debhelper configure.
  * Bump Qt build-dependencies to 5.10.1.
  * Fix insecure-copyright-format-uri.
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Update Vcs-* to reflect the move to Salsa.
  * Add myself to Uploaders.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 24 Feb 2018 14:28:33 -0600

qtgraphicaleffects-opensource-src (5.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:38:10 +0300

qtgraphicaleffects-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Call dh_qmlcdeps during build to get proper dependencies.
  * Use debhelper compat level 10 and dh_missing.
  * Bump Standards-Version to 4.1.1, stop using deprecated Priority: extra.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2017 23:04:16 +0300

qtgraphicaleffects-opensource-src (5.9.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Aug 2017 12:29:47 +0300

qtgraphicaleffects-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream patch release.
  * Bump Qt build-dependencies to 5.9.1.
  * Add build-dependency on qtdeclarative5-dev-tools, to get QML cache
    files generated.
  * Update debian/copyright for upstream license change.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Drop obsolete Breaks/Replaces on pre-Jessie Qt 5.2 packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Jul 2017 19:13:51 +0300

qtgraphicaleffects-opensource-src (5.9.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream final release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Jun 2017 03:56:17 -0500

qtgraphicaleffects-opensource-src (5.9.0~rc-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Qt build-dependencies to 5.9.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 May 2017 16:03:28 +0300

qtgraphicaleffects-opensource-src (5.7.1~20161021-3) unstable; urgency=medium

  * Revert the wrong change to install the temporary files.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Nov 2016 11:28:53 +0300

qtgraphicaleffects-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Only install the necessary files into the temporary install root.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 15:37:09 +0300

qtgraphicaleffects-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Oct 2016 21:35:57 -0300

qtgraphicaleffects-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.7.0.
  * Run the tests against installed module, to make them work.
    - Add a patch to import the module directly (test_import_module.diff).
  * Drop unused dbus and pkg-kde-tools build-dependencies.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Jul 2016 14:53:11 +0300

qtgraphicaleffects-opensource-src (5.6.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 10:58:12 -0300

qtgraphicaleffects-opensource-src (5.6.1-2) experimental; urgency=medium

  * Really upload to experimental.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 20:40:43 -0300

qtgraphicaleffects-opensource-src (5.6.1-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Disable tests for now. We were unable to make them work, we get
    "QtGraphicalEffects.private" is not installed" even with the QML2 path
    explicited passed on to them.
  * Use https URLs in Vcs-[Git Browser].

  [ Timo Jyrinki ]
  * GaussianBlur requires qml-module-qtquick-window2, add to deps.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 18:57:19 -0300

qtgraphicaleffects-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 19:00:45 -0300

qtgraphicaleffects-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Update dependencies.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 19 Oct 2015 10:16:56 +0000

qtgraphicaleffects-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Do not attempt to run tests during arch-indep builds.
  * Do not hardcode libqt5qml5 dependency, let it be handled via
    ${shlibs:Depends}.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Aug 2015 21:44:56 +0300

qtgraphicaleffects-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 15:49:51 -0300

qtgraphicaleffects-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation (Closes: #751177).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 16:02:13 -0300

qtgraphicaleffects-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update debian/watch to point to https://download.qt.io/.
  * Add qtdeclarative5-doc-html to Build-Depends-Indep, for docs linking.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2015 12:13:47 +0300

qtgraphicaleffects-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Update debian/copyright.
  * Update Vcs-Browser field to point to cgit interface.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Dec 2014 13:24:29 +0300

qtgraphicaleffects-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 23:42:05 -0300

qtgraphicaleffects-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Drop dh_builddeb override, no longer needed.
  * Set QT_QPA_PLATFORM=minimal when running tests, so that they can
    be run outside Xvfb.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Use correct syntax in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Sep 2014 13:24:43 -0300

qtgraphicaleffects-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional package libqt5qml-graphicaleffects, not needed anymore.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 30 Jun 2014 16:32:18 -0300

qtgraphicaleffects-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Replace the transitional package qtdeclarative5-qtquick2-plugin with
    qml-module-qtquick2. This is needed for the tests. Thanks Alexander Volkov
    for spotting this one.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 14:24:36 -0300

qtgraphicaleffects-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 28 May 2014 20:02:43 -0300

qtgraphicaleffects-opensource-src (5.2.1-3) unstable; urgency=medium

  * Rename libqt5qml-graphicaleffects to qml-module-qtgraphicaleffects with
    proper Break+Replaces and files renaming.
  * Add qml-module-qtquick2 as a dependency.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 11:41:26 -0300

qtgraphicaleffects-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 23:36:12 -0300

qtgraphicaleffects-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Feb 2014 17:43:40 -0300

qtgraphicaleffects-opensource-src (5.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 19:48:29 -0300

qtgraphicaleffects-opensource-src (5.2.0-1) experimental; urgency=low

  * New upstream release.
  * Bump build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 17 Dec 2013 10:13:06 -0300

qtgraphicaleffects-opensource-src (5.1.1-2) unstable; urgency=low

  * Enable tests. Thanks Michael Terry from Ubuntu for the patch
   (Closes: 722723).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Oct 2013 19:59:10 -0300

qtgraphicaleffects-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 22:51:52 -0300

qtgraphicaleffects-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 12:35:45 -0300

qtgraphicaleffects-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt build dependencies to 5.1.0~.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 21:25:28 -0300

qtgraphicaleffects-opensource-src (5.0.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update Vcs-Browser and Vcs-Git headers.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc
    - Build and create packages for qch and HTML doc formats.
    - Also create an install files for the QML graphical effects this package
      ships.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 20:36:19 -0300

qtgraphicaleffects-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release (Closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 26 Apr 2013 13:25:56 -0300
